import { H as registerInstance, M as h, N as Host, O as getElement } from './index-CklISCW5.js';

const FormCol = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.colClass = 'col';
        this.size = 'full';
    }
    render() {
        return (h(Host, { key: '5ee1da91eaa100771f43f5ca80e01ac5a47a5d5f', class: {
                [`${this.colClass}`]: true,
                'py-none': true,
                'touch:is-12': true,
                'is-12': this.size === 'full' || this.size === 'fullwidth' || this.size === undefined,
                'is-6': this.size === 'half',
                'is-4': this.size === 'one-third',
                'is-8': this.size === 'two-thirds',
                'is-3': this.size === 'one-quarter',
                'is-9': this.size === 'three-quarters',
            } }, h("slot", { key: '498c7e5a0b163c2cb3e465cb43087db432f92650' })));
    }
    get el() { return getElement(this); }
};

const balFormGridCss = ".bal-form-grid{display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column;row-gap:.25rem}@media screen and (min-width: 1024px){.bal-form-grid{-ms-flex-direction:row;flex-direction:row}}.bal-form-grid.columns{margin-top:0 !important;margin-bottom:0 !important}";

const FormGrid = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { key: '7dd05e54b6f2070956b4630a542c249734981731', class: `bal-form-grid grid is-multiline my-none py-none` }, h("slot", { key: 'd9490a9e4153d985dad9258dc795ea1b092930f4' })));
    }
};
FormGrid.style = balFormGridCss;

export { FormCol as bal_form_col, FormGrid as bal_form_grid };
